<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStocktransactionsSoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stocktransactions_so', function (Blueprint $table) {
            $table->id();
            $table->date('date');
            $table->text('desc')->nullable();
            $table->string('staff')->nullable();
            $table->unsignedBigInteger('signature_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stocktransactions_so');
    }
}
